#ifndef __core__http_h
#define __core__http_h

#include <QByteArray>
#include <string>
#include <vector>

namespace HTTP {

QByteArray Get(const std::string& url, const std::vector<std::string>& headers = {});
QByteArray Post(const std::string& url, const std::string& data, const std::vector<std::string>& headers = {});

} // namespace HTTP

#endif // __core__http_h
